<?php

/**
 * @file
 * Administrative forms for PAM authentication module.
 */

/**
 * Administrative settings form for PAM authentication module.
 */
function pam_auth_admin_settings() {
  $form['pam_auth_disable_password_changes'] = array(
    '#type' => 'radios',
    '#title' => t('Password changing forms'),
    '#default_value' => variable_get('pam_auth_disable_password_changes', 0),
    '#options' => array(t('Disabled'), t('Enabled')),
    '#description' => t('If enabled, your Drupal site will still allow users to change passwords. Should be disabled.'),
  );

  $form['pam_auth_normal_drupal_user_authentication'] = array(
    '#type' => 'checkbox',
    '#title' => t('Allow normal Drupal users to authenticate'),
    '#default_value' => variable_get('pam_auth_normal_drupal_user_authentication', FALSE),
    '#description' => t('Allow normal Drupal user accounts to authenticate in addition to PAM users.'),
  );

  $form['pam_auth_exclude_accounts'] = array(
    '#type' => 'textarea',
    '#title' => t('User accounts to exclude'),
    '#default_value' => variable_get('pam_auth_exclude_accounts', PAM_AUTH_EXCLUDE_ACCOUNTS),
    '#description' => t('These accounts will not be authenticated against PAM. <em>root</em> is excluded by default for security reasons.'),
  );

  return system_settings_form($form);
}
